#region StandardUsing
using System;
using QPlatform.CoreBase;
using QPlatform.HMIProject;
using UAManagedCore;
using OpcUa = UAManagedCore.OpcUa;
using QPlatform.NetLogic;
using QPlatform.UI;
using QPlatform.OPCUAServer;
#endregion

public class MainWindowLogic1 : QPlatform.NetLogic.BaseNetLogic
{
    public override void Start()
    {
        var importedPanel = Project.Current.Get("UI/Panels/Pannello1");
        if (importedPanel == null)
        {
            Log.Error("Could not find remote panel");
            return;
        }

        var mainWindowPanelLoader = LogicObject.Owner.Get<QPlatform.UI.PanelLoader>("ClientPanelLoader");

      // Change panel to the imported remote panel.
        mainWindowPanelLoader.ChangePanel(importedPanel.NodeId, NodeId.Empty);
    }

    public override void Stop()
    {
        // Insert code to be executed when the user-defined logic is stopped
    }
}
